Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.query.oql
Class ParamAST

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.makumba.providers.query.oql.OQLAST
                  org.makumba.providers.query.oql.ParamAST

All Implemented Interfaces:
  antlr.collections.AST, Serializable

    public class ParamAST

extends OQLAST

See Also:
  Serialized Form

Field Summary
`(package private) int` | `number`

Fields inherited from class org.makumba.providers.query.oql.OQLAST
`extraInfo, makumbaType, tree`

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`ParamAST()`

Method Summary
`String` | `toString()`
`String` | `writeInSQLQuery(NameResolver r)`

Methods inherited from class org.makumba.providers.query.oql.OQLAST
`getMakumbaType`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, initialize, initialize, setText, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getColumn, getFirstChild, getLine, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### number

    int number

Constructor Detail

### ParamAST

    public ParamAST()

Method Detail

### toString

    public String toString()

  Specified by:
    `toString` in interface `antlr.collections.AST`
  Overrides:
    `toString` in class `antlr.BaseAST`

### writeInSQLQuery

    public String writeInSQLQuery(NameResolver r)

  Overrides:
    `writeInSQLQuery` in class `OQLAST`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20